import { Processor } from 'unified';
import { VFile } from 'vfile';
/**
 * A function for getting a processor to use for validation and formatting.
 */
export declare type ProcessorGetter<T> = (file: VFile, configuration: T) => Processor;
/**
 * Initialize the worker.
 *
 * @param getProcessor - A function for getting a processor.
 */
export declare function initialize<T>(getProcessor: ProcessorGetter<T>): void;
